package basicClass;

import java.io.Serializable;


public class User implements Serializable{
	private int uid;
	private String name;
	private String password_md5;
	private String email;
	private String photo_path;
	private String self_intro;
	private Location location; // located by GPS
	private boolean isOnline;
	
	public User() {
		uid = 0;
		name = null;
		password_md5 = null;
		email = null;
		photo_path = null;
		self_intro = null;
		isOnline = false;
	}
	
	
	public int getUId() {
		return uid;
	}
	
	public String getName() {
		return name;
	}
	
	public String getPassword() {
		return password_md5;
	}
	
	public String getEmail() {
		return email;
	}
	
	public String getPhoto() {
		return photo_path;
	}
	
	public String getSelfIntro() {
		return self_intro;
	}
	
	public Location getLocation() {
		return location;
	}
	
	public boolean isOnline() {
		return isOnline;
	}
	
	public void setId(int id) {
		this.uid = id;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public void setPassword(String ps) {
		this.password_md5 = ps;
	}
	
	public void setEmail(String email) {
		this.email = email;
	}
	
	public void setPhoto(String photo_path) {
		this.photo_path = photo_path;
	}
	
	public void setSelfIntro(String si) {
		this.self_intro = si;
	}
	
	public void setLoation(Location location) {
		this.location = location;
	}
	
	public void setIsOnline(boolean is) {
		this.isOnline = is;
	}
	
}
